!Control file for site_amp_batch
! Revision of program involving a change in the control file on this date:
   07/09/18
!Name of summary file:
   site_amp_batch.sum
!Are the velocities from a suspension log survey?
!If yes, assume that the velocity value is at the midpoint of the layer
 N
!Velocity for first layer (0 = use the first velocity of the input)
! Use this for sensitivity studies of vavg for PS log models that do not
! extend to the surface.   
   0.0
!Depth to bottom (d2b) or layer thickness (thk) (note: a value of 0.0 for
!the first depth from the model file will signal that the model is a
!piecewise continuous model)?
   d2b
! thk
!Lines to skip to reach data (nskip):
! nskip<0: use skipcmnt to skip a block of header lines starting with the 
!          exclamation character ("!"), followed by skipping abs(nskip)-1 
!          header lines.  This option is included so that the program can compute
!          the amplifications for a group of model files that have a variable
!          number of headers startng with "!" before a line with column headings.
! nskip=0: skip no lines
! nskip>0: skip the number of lines specified by nskip
!
! -1 ! the data are preceeded by one or more lines starting with "!"
! -2 ! the data are preceeded by one or more lines starting with "!", followed 
!      by a single line with column headers.
!   1 ! skip one line to reach the lines of model data
   1
!   6
! 4
!Use density in model file?
 n
! y
!dens_default (if layer density = 0.0, either because the densities from the 
!  input file are to be used, but these are 0.0, or because the density is not
!  to be obtained from the input file, then use this as the layer density unless it
!  is 0.0, in which case obtain the density from my density--velocity
!  subroutine):
  0.0
!Use Q from model file (note that Q < 1.0 is taken is 1/Q)?
 N
! Y
! kappa for computation (enter 0.0 for no kappa computation):
 0.035     
! Power of slowness_max/slowness_i to use in apportioning kappa for computation into the layers
! of the constant-velocity model derived for the model (placeholder is needed even if 
! kappa for computation = 0.0)
! **** NOTE **** as of 2021-08-29, this parameter is no longer used.  But to avoid modifying the control file
! I am retaining the entry here, as a placeholder.
 1.0
!Ncolumns to read, column numbers for depth or thickness (allows for the first column
!being an index),velocity, density, and Q (note that if density and/or Q are not read
!from the file, the column numbers for these variables will be ignored.  But dummy
!values need to be included in the control file).
! WARNING: Be careful to maintain consistency between whether density and/or Q
! are read from input file and the entries below.  For example, suppose the input file
! contains thickness, vs, density, and Q.  Then the following table illustrates the
! proper input for Ncolumns, etc:
! Density from input  Q from input  Ncolumns, etc
!          N               N        2 1 2 3 4
!          Y               N        3 1 2 3 4
!          Y               Y        4 1 2 3 4
!          N               Y        4 1 2 3 4 (I'm not sure that this works)
! If specified incorrectly, the program will probably work, but the velocity
! model will be incorrect.  ALWAYS CHECK THE VELOCITY MODEL IN THE OUTPUT FILE!
    2 1 2 0 0
!Enter units of velocity (kps, mps) (depth units are assumed to be consistent
!with the velocity units---km for kps and m for mps):
   kps
!   Mps
!v_ref, dens_ref for amp calculation (dens_ref = 0.0 means that it will be obtained from
! my relation between vel and dens; if dens_ref /= 0.0, then it will be used even if
! "Use density from model file" is N):
  3.5 2.72 
!Angle of incidence at source level (in degrees):
 00.0
!Enter freqlow, freqhigh, nfreq (if nfreq = 0, then the program will compute
!amplifications at frequencies corresponding to the depths of interfaces, but 
!still need placeholders for freqlow and freqhigh):
 0.01 80 25
! 0.01 80 0
!Log-spaced frequencies?
 Y
!Character string to append to end of each input file to create
!the name of the output file (be sure to include the period if wanted):
! .freqs4interfaces.asc
 .25freqs.asc
!List of input files
!Make sure that there are no blank entries!
!The format of the input are consecutive columns containing the 
!depth/thickess and velocity, after header lines starting with "!"
!
! The model below is from 
!C:\square-root-impedance_site_amps\sri_nrattle_amps\
BJ97gr.mdl
stop

!
! The model below is the decimated model, appearing as Table 1 in B16
B16_table_1_vel.mdl
stop


