      Program Vel2TT_Col2File

* Reads vtt file made by vel2tt and extracts and writes columns
* Use:  import into CoPlot
 
* Reads info from a control file; here is an example:

*!Control file for vel2tt_col2file
*!Name of the output file:
* vavg_active_sources.col
*!Pair of columns to extract (1=d2b; 2=vlayr; 3=tt; 4=vavg;
*!5=slayr; 6=savg; 7=fqtr; 8=sqrt_vavg; 9 = amp)
* 1 4
*!List of input files
*ccoc_avg_vel_1m_using_vtt_for_gibbs_holzer.mdl.vtt
*bay_ccoc_forward_vs.mdl.vtt
*bay_ccoc_automated_vs_thick.mdl.vtt
*cc_cl1_s_stokoe.mdl.vtt
*cccl2avg_lb_ub_stokoe.mdl.vtt
*wsp_vs_williams.mdl.vtt
*bay_wsp_forward_vs.mdl.vtt
*bay_wsp_automated_vs_thick.mdl.vtt
*kayen_wave-eq_vs.mdl.vtt
*kayen_inverse_vs.mdl.vtt
*kayen_winsasw_vs.mdl.vtt
*stephenson_masw_middle_vs_d2b.mdl.vtt
*wspavg_lb_ub_stokoe.mdl.vtt
*hayashi_s.mdl.vtt
*rix_vm.col.vtt
*stop
 
* Dates: 05/25/06 - Written by D. Boore, patterned after vel2tt_summary
 
      character f_out*120, f_vtt*120, f_mdl*120, 
     :          buf*100, buf4*4 
      character cmnts2skip(50)*80, type*1
      character colhead1(50)*10, colhead2(50)*10
      
      real work(10), coldata(500, 50, 2)

      character f_ctl*80
      logical f_exist, susp_log
      
      coldata = -999.0
      
      f_exist = .false.
      do while (.not. f_exist)
        f_ctl = ' '
        write(*, '(a\)') 
     :    ' Enter name of control file (cr = vel2tt_col2file.ctl; '//
     :                                 'ctl-brk to quit): '
        read(*, '(a)') f_ctl
        if (f_ctl .eq. ' ') f_ctl = 'vel2tt_col2file.ctl'
        call trim_c(f_ctl, nc_f_ctl)
        inquire(file=f_ctl(1:nc_f_ctl), exist=f_exist)
        if (.not. f_exist) then
          write(*,'(a)') ' ******* FILE DOES NOT EXIST ******* '
        end if
      end do

      call get_lun(nu_ctl)
      open(unit=nu_ctl,file=f_ctl(1:nc_f_ctl),status='unknown')

  
* Get output file name:
      call skipcmnt(nu_ctl, cmnts2skip, nc_cmnts2skip)
      read(nu_ctl, '(a)') f_out
      call trim_c(f_out,nc_f_out)
      call get_lun(nu_out)
      open(unit=nu_out,file=f_out(1:nc_f_out),status='unknown')
* Get column numbers:
      call skipcmnt(nu_ctl, cmnts2skip, nc_cmnts2skip)
      read(nu_ctl, *) icol1, icol2
      

 
* Read and process files:
      call skipcmnt(nu_ctl, cmnts2skip, nc_cmnts2skip)

      nfiles = 0
      nd_max = 0

1000  continue

      buf = ' '
      read(nu_ctl,'(a)') buf
      call trim_c(buf, nc_buf)
      buf4 = ' '
      buf4 = buf(1:4)
      call upstr(buf4)
      if (buf4 .eq. 'STOP') then
        close(nu_ctl)
        go to 6969
      end if     

      f_vtt = ' '
      f_vtt = buf(1:nc_buf)
      call trim_c(f_vtt, nc_f_vtt)
      f_exist = .false.
      inquire(file=f_vtt(1:nc_f_vtt), exist=f_exist)
      if (.not. f_exist) then
         write(*,'(a)') 
     :  ' ******* FILE '//f_vtt(1:nc_f_vtt)//' DOES NOT EXIST ******* '
         write(*,'(a)') ' Skipping to next file'
         go to 1000
      end if
      
      nfiles = nfiles + 1
 

      call get_lun(nu_vtt)
      open(nu_vtt,file=f_vtt(1:nc_f_vtt),status='unknown')

      call skip(nu_vtt, 4)
      
      f_mdl = ' '
      read(nu_vtt,'(a)') f_mdl
      call trim_c(f_mdl, nc_f_mdl)
      
      colhead1(nfiles) = ' '
      colhead1(nfiles)(1:1) = 'c'
      write(colhead1(nfiles)(2:2),'(i1)') icol1
      write(colhead1(nfiles)(3:10),'(a)') f_mdl(1:8) 

      colhead2(nfiles) = ' '
      colhead2(nfiles)(1:1) = 'c'
      write(colhead2(nfiles)(2:2),'(i1)') icol2
      write(colhead2(nfiles)(3:10),'(a)') f_mdl(1:8) 

      call skip(nu_vtt, 1)
 
      read(nu_vtt,*) nd_out, dmax, d_xtrap, v30, vref
      
      if(nd_max .lt. nd_out) nd_max = nd_out
      
      call skip(nu_vtt, 1)

      ncols = 9
      
      do i=1, nd_out
        read(nu_vtt,*) (work(j), j = 1, ncols)
        coldata(i,nfiles,1) = work(icol1)
        coldata(i,nfiles,2) = work(icol2)      
      end do
      
 
      go to 1000
 
6969  continue

      write(nu_out,'(40(1x,a10, 1x,a10))') 
     :   (colhead1(j), colhead2(j), j=1,nfiles)
     
      do i = 1, nd_max
        write(nu_out,'(1p,80(1x,e10.3))') 
     :       (coldata(i,j,1), coldata(i,j,2),j=1,nfiles)
      end do
      
      close(nu_out)
      
      stop
      end


      include '\forprogs\get_lun.for'
      include '\forprogs\trim_c.for'
      include '\forprogs\upstr.for'
      include '\forprogs\skip.for'
      include '\forprogs\skipcmnt.for'

      